Bug 1171864 - xmlstarlet build spews non-fatal errors on missing git
Summary: xmlstarlet build spews non-fatal errors on missing git
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xmlstarlet
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-08 19:42 UTC by Paul W. Frields
Modified: 2015-01-07 01:29 UTC (History)
1 user (show)

Fixed In Version: xmlstarlet-1.6.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-07 01:28:46 UTC


Attachments (Terms of Use)

Description Paul W. Frields 2014-12-08 19:42:01 UTC
configure.ac in the xmlstarlet source calls `git describe` so it would reduce error spew to add a BuildRequires: git to the spec file.

Comment 1 Paul W. Frields 2014-12-08 20:55:24 UTC
Not as simple as just BR: git either -- the configure.ac needs fixing because the release tarball doesn't include a .git folder, so you just get a different error.

Comment 2 Fedora Update System 2014-12-11 14:06:08 UTC
xmlstarlet-1.6.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xmlstarlet-1.6.1-3.fc21

Comment 3 Fedora Update System 2014-12-11 14:11:29 UTC
xmlstarlet-1.6.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xmlstarlet-1.6.1-3.fc20

Comment 4 Fedora Update System 2014-12-11 14:13:26 UTC
xmlstarlet-1.6.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xmlstarlet-1.6.1-3.fc19

Comment 5 Fedora Update System 2014-12-13 09:44:47 UTC
Package xmlstarlet-1.6.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xmlstarlet-1.6.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16859/xmlstarlet-1.6.1-3.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-07 01:28:46 UTC
xmlstarlet-1.6.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-07 01:29:38 UTC
xmlstarlet-1.6.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.